/*
 * @(#)ZUIUtil.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.util;

import java.awt.Window;
import java.awt.Component;

import jp.co.iti.fagot.util.ZDebug;

/**
 * UIユーティリティ
 *
 * UIの基本関数を定義する。
 * すべて静的メソッド
 *
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class ZUIUtil {
	/**
	 * ウィンドウを検索します
	 * コンポーネント上位のウィンドウを検索します。
	 * ZMessageで親Windowを指定することで、メッセージボックスがウィンドウの上部に
	 * 常に表示されます。
	 *
	 * @param cmp コンポーネント
	 */
	static public Window getParentWindow(Component cmp) {
	while ( cmp != null ) {
		if ( cmp instanceof Window ) {
			return (Window)cmp;
		}
		cmp = cmp.getParent();
	}
	return null ;
	}
}
